Web lists-archives.com

Re: APT candidate does not match package on Debian repo




Hello

With rmadison we can see that 4.9.144 is available on the mirrors, but not yet „active“ in the stable
distribution:

$ rmadison linux-image-4.9.0-8-amd64
linux-image-4.9.0-8-amd64 | 4.9.130-2     | stable           | amd64
linux-image-4.9.0-8-amd64 | 4.9.144-1     | proposed-updates | amd64

Where the information is stored on the repository specifying a package as stable?

In the file packages.xz we see only linux-image-4.9.0-7:

$ xzgrep linux-image  debian/dists/stable/main/binary-amd64/Packages.xz | grep Filename
Filename: pool/main/l/linux/linux-image-4.9.0-7-amd64_4.9.110-1_amd64.deb
Filename: pool/main/l/linux/linux-image-4.9.0-7-amd64-dbg_4.9.110-1_amd64.deb
Filename: pool/main/l/linux/linux-image-4.9.0-7-rt-amd64_4.9.110-1_amd64.deb
Filename: pool/main/l/linux/linux-image-4.9.0-7-rt-amd64-dbg_4.9.110-1_amd64.deb
Filename: pool/main/l/linux-latest/linux-image-amd64_4.9+80+deb9u5_amd64.deb
Filename: pool/main/l/linux-latest/linux-image-amd64-dbg_4.9+80+deb9u5_amd64.deb
Filename: pool/main/l/linux-latest/linux-image-rt-amd64_4.9+80+deb9u5_amd64.deb
Filename: pool/main/l/linux-latest/linux-image-rt-amd64-dbg_4.9+80+deb9u5_amd64.deb

Thanks!
Martin